# upstream release tarball is a snapshot-style one
%define snapshot 0
%define rel	1

# REV=$(svn info https://cdemu.svn.sourceforge.net/svnroot/cdemu/trunk/vhba-module| sed -ne 's/^Last Changed Rev: //p')
# svn export -r $REV https://cdemu.svn.sourceforge.net/svnroot/cdemu/trunk/vhba-module vhba-module-$REV
# tar -cJf vhba-module-$REV.tar.xz vhba-module-$REV

Summary:	Virtual SCSI HBA kernel module
%define module	vhba
%define oname	vhba-module
Name:		dkms-vhba
Version:	20161009
%if %snapshot
Release:	%mkrel 0.%snapshot.%rel
%else
Release:	%mkrel %rel
%endif
Group:		System/Kernel and hardware
License:	GPLv2+
URL:		http://cdemu.sourceforge.net/
%if %snapshot
Source:		%oname-%snapshot.tar.xz
%else
Source:		http://downloads.sourceforge.net/cdemu/%oname-%version.tar.bz2
%endif
BuildArch:	noarch
Provides:	kmod(vhba.ko) = %{version}
Requires:	dkms
Requires(post):	dkms
Requires(preun): dkms

%description
Virtual SCSI HBA kernel module. The vhba module is used by cdemu.

%prep
%if %snapshot
%setup -q -n %oname-%snapshot
%else
%setup -q -n %oname-%version
%endif

%build

%install
install -d -m755 %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}
cp -r * %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}

cat > %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_NAME="%module"
PACKAGE_VERSION="%version-%release"
DEST_MODULE_LOCATION[0]="/kernel/%module"
BUILT_MODULE_NAME[0]="%module"
MAKE[0]="make KDIR=\${kernel_source_dir}"
AUTOINSTALL="yes"
EOF
sed -i 's/-Werror//' %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}/Makefile

%post
dkms add	-m %{module} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms build	-m %{module} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms install	-m %{module} -v %{version}-%{release} --rpm_safe_upgrade
true

%preun
dkms remove  -m %{module} -v %{version}-%{release} --all --rpm_safe_upgrade
true

%files
%{_usrsrc}/%{module}-%{version}-%{release}


%changelog
* Sat Nov 12 2016 daviddavid <daviddavid> 20161009-1.mga6
+ Revision: 1066723
- new version: 20161009

* Sun Oct 09 2016 daviddavid <daviddavid> 20140928-1.mga6
+ Revision: 1059789
- new version: 20140928

* Mon Feb 01 2016 umeabot <umeabot> 20120422-7.mga6
+ Revision: 930766
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 20120422-6.mga5
+ Revision: 750926
- Second Mageia 5 Mass Rebuild

* Wed Sep 24 2014 tmb <tmb> 20120422-5.mga5
+ Revision: 724159
- adapt to new kmod provides

* Tue Sep 16 2014 umeabot <umeabot> 20120422-4.mga5
+ Revision: 678766
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 20120422-3.mga4
+ Revision: 502365
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 alien <alien> 20120422-2.mga4
+ Revision: 502289
- Make deprecation warning non-fatal for compilation

* Fri Sep 14 2012 mitya <mitya> 20120422-1.mga3
+ Revision: 293785
- New version 20120422

* Sat Dec 03 2011 anssi <anssi> 20110915-1.mga2
+ Revision: 175621
- new version
  o fixes kernel oops when trying to use it (bug #3252)
- change rpm versioning to better reflect upstream versioning

* Sat Jan 15 2011 anssi <anssi> 1.2.1-4.20100822.1.mga1
+ Revision: 19788
- imported package dkms-vhba

